
rm(list = ls()); gc()

args <- commandArgs(trailingOnly = TRUE)


setwd("/esarchive/scratch/nmilders/gitlab/git_clones/s2s-suite/")
recipe_file <- "recipes/recipe_scorecards_s2s-suite.yml"

source("modules/Loading/Loading.R")
source("modules/Anomalies/Anomalies.R")
source("modules/Skill/Skill.R")
source("modules/Saving/Saving.R")
source("tools/prepare_outputs.R")

recipe <- prepare_outputs(recipe_file)

## Run job for each start month
recipe$Analysis$Time$sdate <- paste0(sprintf("%02d", as.numeric(args)), '01')

## Load datasets
data <- load_datasets(recipe)
## compute anomalies
anomalies <- compute_anomalies(recipe, data)
## Compute skill metrics of raw data
skill_metrics <- compute_skill_metrics(recipe, anomalies)
##archive <- read_yaml(paste0(recipe$Run$code_dir, "conf/archive.yml"))$archive
save_data(recipe, data, skill_metrics = skill_metrics)


# for (smonth in 1:12) {
#   ## Define recipe needed to load calibrated data and skill metrics
#   recipe$Analysis$Time$sdate <- paste0(sprintf("%02d", smonth), '01')
#   ## Load datasets
#   data <- load_datasets(recipe)
#   ## compute anomalies
#   anomalies <- compute_anomalies(recipe, data)
#   ## Compute skill metrics of raw data
#   skill_metrics <- compute_skill_metrics(recipe, anomalies)
#   ##archive <- read_yaml(paste0(recipe$Run$code_dir, "conf/archive.yml"))$archive
#   save_data(recipe, data, skill_metrics = skill_metrics)
# }
